
pfSense - Bug #8661

Cannot view or edit firewall rules in 2.4.4.a.20180717.1700

07/18/2018 12:49 AM - Greg Hulands

Status: Resolved Start date: 07/18/2018

Priority: Urgent Due date:  

Assignee:  % Done: 100%

Category: Rules / NAT Estimated time: 0.00 hour

Target version: 2.4.4   

Plus Target Version:  Affected Version: 2.4.4

Release Notes:  Affected

Architecture:

 

Description

When trying to view the firewall rules, the following error occurs.

Warning: Illegal string offset 'seq' in /etc/inc/pfsense-utils.inc on line 2750 Fatal error: Uncaught Error: Cannot unset string offsets in

/etc/inc/pfsense-utils.inc:2757 Stack trace: #0 /usr/local/www/firewall_rules.php(119): filter_rules_sort() #1 {main} thrown in

/etc/inc/pfsense-utils.inc on line 2757 PHP ERROR: Type: 1, File: /etc/inc/pfsense-utils.inc, Line: 2757, Message: Uncaught Error:

Cannot unset string offsets in /etc/inc/pfsense-utils.inc:2757 Stack trace: #0 /usr/local/www/firewall_rules.php(119): filter_rules_sort()

#1 {main} thrown

Associated revisions

Revision 857533db - 07/18/2018 08:59 PM - Stephen Jones 

Fixes #8661 PHP7 illegal string offset

History

#1 - 07/18/2018 04:10 PM - Anonymous

- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 857533dbe0896de58441f23ec84f94c0d3d8e112.

#2 - 07/23/2018 12:07 AM - Constantine Kormashev

Do not observe the issue on latest for creating, editing and deleting FW and NAT rules

#3 - 07/23/2018 07:19 AM - Jim Pingle

- Status changed from Feedback to Resolved
